using System.Threading;
using Cysharp.Threading.Tasks;

namespace QuizPleaseTest.Common.StateMachine
{
    public interface IState
    {
        UniTask EnterAsync(CancellationToken ct);
        UniTask ExitAsync(CancellationToken ct);
    }
}
